aboutsummaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/tests2/Makefile4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tests2/Makefile b/tests/tests2/Makefile
index d0cd664..59b2438 100644
--- a/tests/tests2/Makefile
+++ b/tests/tests2/Makefile
@@ -56,8 +56,8 @@ all test: $(filter-out $(SKIP),$(TESTS))
@if test -z "$(NORUN)"; then \
$(TCC) -run $< $(ARGS) $(FILTER) >$*.output 2>&1 || true; \
else \
- $(TCC) $< -o ./$*.exe $(FILTER) 2>&1 && \
- ./$*.exe $(ARGS) >$*.output 2>&1 || true; \
+ $(TCC) $< -o ./$*.exe $(FILTER) >$*.output 2>&1; \
+ ./$*.exe $(ARGS) >>$*.output 2>&1 || true; \
fi
@diff -Nbu $(SRC)/$*.expect $*.output && rm -f $*.output $*.exe